--[[--------------------------------------------------------------------------
 *  Copyright (c) 2014 Lawrence Livermore National Security, LLC.  Produced at
 *  the Lawrence Livermore National Laboratory (cf, AUTHORS, DISCLAIMER.LLNS).
 *  LLNL-CODE-658032 All rights reserved.
 *
 *  This file is part of the Flux resource manager framework.
 *  For details, see https://github.com/flux-framework.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the license, or (at your option)
 *  any later version.
 *
 *  Flux is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the IMPLIED WARRANTY OF MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the terms and conditions of the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *  See also:  http://www.gnu.org/licenses/
 ---------------------------------------------------------------------------]]
--
--  Test harness configuration for installed flux:
--
--  path for flux(1) binary:
--
local flux = "/workspace/destdir/bin/flux"

local read_path = function (v)
    local cmd = string.format (flux.." env lua -e 'print (package.%s)'", v)
    local p = io.popen (cmd):read ("*all")
    return p:match ("^%s*(.-);*%s*$")
end
local path = read_path ("path")
package.cpath = read_path ("cpath")

-- prepend path to luadir/fluxometer so we find fluxometer Test.More first:

package.path = "/workspace/destdir/share/lua/5.3/fluxometer/?.lua" .. ';' .. path

require 'Test.More'
return {
    fluxbindir = "/workspace/destdir/bin"
}

-- vi: ts=4 sw=4 expandtab
